# Rally Rush: godot Namespace Reference

Loading...
Searching...
No Matches
godot Namespace Reference

## Classes

class | BeaconPowerup
| Area3D that inverts the attack classes of any turret object that it comes into contact with. Resets effects when it is destroyed. More...
class | Beam
| Area3D with a MeshInstance3D that resizes itself based on a from and to position and damages any objects that enter it. Requires a child collision shape and mesh instance. Both with Capsule primitive shapes. More...
class | CarPhysics
| Subclass Sandbox for car physics. Uses _integrate_forces and local_velocity to abstract the behaviour of a physical car. More...
class | CarPlayer
| Sandboxed subclass of CarPhysics. More...
class | DamageArea
| Collision area that damages nodes of the given types when entered. More...
class | Drone
| An enemy drone, moves around using navigation. Model is expected to float well above the transform origin. More...
class | EndScreen
| The game-over screen, used both when the player has won and lost the game. More...
class | EnemyCar
| The enemy car, inherits CarPhysics subclass sandbox and uses a NavigationAgent3D to direct it. More...
class | EnemySpawnpoint
| Child node to Spawner denoting a place where a car, drone or key can be spawned. More...
class | EnemyTargetBody
| Collider signifying which part of an enemy can be targeted. Used only for drones because their "real" position is on the ground below where the "drone" is flying. More...
class | ExitDoor
| Listener for the all_keys_found Observer. Plays the "open" animation when the observer is broadcast. More...
class | ExitTrigger
| Area3D that notifies the RallyRushGameMode that the player has exited the game when hit by the CarPlayer. Only if the player has found exactly 3 keys. More...
class | GameUI
| The in-game HUD. More...
class | KeyPickup
| Area3D that notifies the RallyRushGameMode and destroys itself when the player enters it. More...
class | MenuUI
| The main menu UI parent. More...
class | RallyRushGameMode
| Game mode for Rally Rush. Mainly serves as a scorekeeper and patchbay for Observers. Inherits from GameMode so it can be referenced by a level and managed by the GameRoot3D. More...
class | ShieldPowerup
| Object for the player's "shield" powerup. Collision area that destroys all cars that hit it. More...
class | Spawner
| Singleton managing enemy and key spawning. Spawns a single enemy at an interval, selecting drone or car based on which is required or taking turns if both. Spawns three keys at the start of the game. More...
class | Turret
| Generic turret class with the ability to target any type of node as configured. Used for both the player's roof turret pickup and the enemy turrets. More...
class | WeaponPickup
| Item box that can be found around the map. Triggers a pickup on the player when hit. More...

## Enumerations

enum class | DroneState { CHASE , DROP , FLEE }
| State of a drone. More...
enum class | TurretState { WAITING = 0x0 , LOCKING = 0x1 , CHARGING , FIRING }
| Current state of a turret. More...

## Enumeration Type Documentation

## DroneState

enum class godot::DroneState

strong

State of a drone.

Enumerator
CHASE | Chase the player.
DROP | Stop, drop, and explode.
FLEE | Go anywhere but where the player is.

## TurretState

enum class godot::TurretState

strong

Current state of a turret.

Enumerator
WAITING | No known valid targets.
LOCKING | Aim in front of an enemy.
CHARGING | Hold still.
FIRING | Wait for beam to end.